Bug 284161 - OOo dies on launch
OOo dies on launch
Status: CLOSED DUPLICATE of bug 283881
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
: 287101 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-09 17:55 EDT by Paul F. Johnson
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 06:39:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2007-09-09 17:55:38 EDT
Description of problem:
If I try to launch any part of OOo from either an ODF file or directly from the
likes of the gnome menu (or even the command line), it dies.

Version-Release number of selected component (if applicable):
OOo.2.3.0-3.2.fc8

How reproducible:
Always

Steps to Reproduce:
1. Start up any of the OOo suite of applications

Actual results:
(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers//nv_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-23-x86_64 libgcj-4.1.2-23-i386
(V)    kernel is: Linux 2.6.23-0.164.rc5.fc8 #1 SMP Tue Sep 4 18:24:12 EDT 2007
x86_64 x86_64 x86_64
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.3.0-3.2.fc8-x86_64
(VII)  accessibility is: true
(VIII) fedora release is: Fedora release 7.91 (Rawhide)
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sdb1             79373160  36231172  39109992  49% /home
/dev/mapper/VolGroup00-LogVol00
                      75766816   5982620  65873336   9% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          permissive
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x00002aaaafb0ea04: 0x00000000001ebf28:
/usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x36a04
0x00002aaaafb0f5fa: 0x00000000001ebf28:
/usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x375fa
0x00002aaaad4ac900: 0x000000000014bb60: /lib64/libc.so.6 + 0x30900
0x00002aaaaf6402a2: 0x00000000000aa5b8:
/usr/lib64/openoffice.org/program/libuno_cppuhelpergcc3.so.3 + 0x422a2
0x00002aaaaf640d1c: 0x00000000000aa5b8:
/usr/lib64/openoffice.org/program/libuno_cppuhelpergcc3.so.3 + 0x42d1c
(cppu::ImplHelper_query(com::sun::star::uno::Type const&, cppu::class_data*,
void*) + 0x4c)
0x00002aaaaffc6950: 0x00000000002741c0:
/usr/lib64/openoffice.org/program/libtk680lx.so + 0xf7950
(VCLXAccessibleComponent::queryInterface(com::sun::star::uno::Type const&) + 0xa0)
0x00002aaac9ee9746: 0x0000000000109958:
/usr/lib64/openoffice.org/program/libacc680lx.so + 0x8c746
0x00002aaabdd71909: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x29909
0x00002aaabdd71c12: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x29c12
(atk_object_wrapper_new + 0xf2)
0x00002aaabdd67016: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1f016
(AtkListener::handleChildAdded(com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext>
const&,
com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible>
const&) + 0x26)
0x00002aaabdd67d00: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1fd00
(AtkListener::notifyEvent(com::sun::star::accessibility::AccessibleEventObject
const&) + 0x8a0)
0x00002aaaaeed052c: 0x0000000000132bd8:
/usr/lib64/openoffice.org/program/libcomphelp4gcc3.so + 0xaa52c
(comphelper::AccessibleEventNotifier::addEvent(unsigned int,
com::sun::star::accessibility::AccessibleEventObject const&) + 0xfc)
0x00002aaaaeebe04c: 0x0000000000132bd8:
/usr/lib64/openoffice.org/program/libcomphelp4gcc3.so + 0x9804c
(comphelper::OAccessibleContextHelper::NotifyAccessibleEvent(short,
com::sun::star::uno::Any const&, com::sun::star::uno::Any const&) + 0x13c)
0x00002aaaaffc7f31: 0x00000000002741c0:
/usr/lib64/openoffice.org/program/libtk680lx.so + 0xf8f31
(VCLXAccessibleComponent::ProcessWindowChildEvent(VclWindowEvent const&) + 0x181)
0x00002aaaaffc6871: 0x00000000002741c0:
/usr/lib64/openoffice.org/program/libtk680lx.so + 0xf7871
(VCLXAccessibleComponent::WindowChildEventListener(VclSimpleEvent*) + 0x91)
0x00002aaaad8ae854: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xe0854
(VclEventListeners::Call(VclSimpleEvent*) const + 0x34)
0x00002aaaada5d4dc: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x28f4dc
(Window::CallEventListeners(unsigned long, void*) + 0xdc)
0x00002aaaada5e29f: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x29029f
0x00002aaaada61872: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x293872
(Window::Show(unsigned char, unsigned short) + 0x3c2)
0x00002aaab2f04dc7: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0xfedc7
0x00002aaab2f0b1f4: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x1051f4
0x00002aaab2eff977: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0xf9977
0x00002aaab2ef24d1: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0xec4d1
0x00002aaab2f080cd: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x1020cd
0x00002aaab2f0927f: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x10327f
0x00002aaab2e85637: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x7f637
0x00002aaab2e8d7fb: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x877fb
0x00002aaab25080dc: 0x00000000003cfcc8:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x2550dc
0x00002aaab2513f3e: 0x00000000003cfcc8:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x260f3e
(SfxTopViewFrame::SfxTopViewFrame(SfxFrame*, SfxObjectShell*, unsigned short) +
0x1be)
0x00002aaab25186e4: 0x00000000003cfcc8:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x2656e4
(SfxTopFrame::InsertDocument(SfxObjectShell*) + 0x654)
0x00002aaab24885a0: 0x00000000003cfcc8:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x1d55a0
0x00002aaab2518601: 0x00000000003cfcc8:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x265601
(SfxTopFrame::InsertDocument(SfxObjectShell*) + 0x571)
0x00002aaab24f5bad: 0x00000000003cfcc8:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x242bad
0x00002aaab2f80827: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x17a827
0x00002aaab2f80f90: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x17af90
0x00002aaab2f82968: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x17c968
0x00002aaab2e7248f: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x6c48f
0x00002aaaaad06802: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x3f802
(desktop::DispatchWatcher::executeDispatchRequests(std::vector<desktop::DispatchWatcher::DispatchRequest,
std::allocator<desktop::DispatchWatcher::DispatchRequest> > const&) + 0x11e2)
0x00002aaaaacfc2ae: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x352ae
(desktop::OfficeIPCThread::ExecuteCmdLineRequests(desktop::ProcessDocumentsRequest&)
+ 0x13e)
0x00002aaaaace96c6: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x226c6
(desktop::Desktop::OpenDefault() + 0x86)
0x00002aaaaacf2cf2: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x2bcf2
(desktop::Desktop::OpenClients() + 0xcd2)
0x00002aaaaacf3bca: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x2cbca
(desktop::Desktop::OpenClients_Impl(void*) + 0x3a)
0x00002aaaada6e611: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x2a0611
0x00002aaabe46e62f: 0x000000000007cf10:
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so + 0x5762f
(SalDisplay::DispatchInternalEvent() + 0xbf)
0x00002aaabdd60899: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x18899
0x00000033d922ef13: 0x00000000000c5c38: /lib64/libglib-2.0.so.0 + 0x2ef13
(g_main_context_dispatch + 0x1c3)
0x00000033d923220d: 0x00000000000c5c38: /lib64/libglib-2.0.so.0 + 0x3220d
0x00000033d923273e: 0x00000000000c5c38: /lib64/libglib-2.0.so.0 + 0x3273e
(g_main_context_iteration + 0x6e)
0x00002aaabdd62329: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1a329
0x00002aaaad8a700e: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xd900e
(Application::Yield(bool) + 0x3e)
0x00002aaaad8a70e7: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xd90e7
(Application::Execute() + 0x27)
0x00002aaaaacf6228: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x2f228
(desktop::Desktop::Main() + 0xe28)
0x00002aaaad8ab7f1: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xdd7f1
0x00002aaaad8ab855: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xdd855 (SVMain() + 0x25)
0x00002aaaaace7e7e: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x20e7e (main + 0xae)
0x00002aaaad499d34: 0x000000000014bb60: /lib64/libc.so.6 + 0x1dd34
(__libc_start_main + 0xf4)
0x0000000000400639: 0x0000000000000890:
/usr/lib64/openoffice.org/program/swriter.bin + 0x639 (main + 0x49)
...end stackreport details ...
...start sample ldd details ...
	linux-vdso.so.1 =>  (0x00007fffc21fe000)
	libgtk-x11-2.0.so.0 => /usr/lib64/libgtk-x11-2.0.so.0 (0x00002aaaaaf53000)
	libgdk-x11-2.0.so.0 => /usr/lib64/libgdk-x11-2.0.so.0 (0x00002aaaab542000)
	libatk-1.0.so.0 => /usr/lib64/libatk-1.0.so.0 (0x00002aaaab7e2000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib64/libgdk_pixbuf-2.0.so.0 (0x00002aaaaba01000)
	libpangocairo-1.0.so.0 => /usr/lib64/libpangocairo-1.0.so.0 (0x00002aaaabc1e000)
	libpango-1.0.so.0 => /usr/lib64/libpango-1.0.so.0 (0x00002aaaabe28000)
	libcairo.so.2 => /usr/lib64/libcairo.so.2 (0x00002aaaac06a000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00002aaaac2e7000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaac4ea000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00002aaaac6ee000)
	librt.so.1 => /lib64/librt.so.1 (0x00002aaaac8f3000)
	libdbus-glib-1.so.2 => /usr/lib64/libdbus-glib-1.so.2 (0x00002aaaacafc000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00002aaaacd1b000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00002aaaacf57000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00002aaaad197000)
	libvclplug_gen680lx.so =>
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so (0x00002aaaad45e000)
	libvcl680lx.so => /usr/lib64/openoffice.org/program/libvcl680lx.so
(0x00002aaaad6e4000)
	libpsp680lx.so => /usr/lib64/openoffice.org/program/libpsp680lx.so
(0x00002aaaadc99000)
	libsot680lx.so => /usr/lib64/openoffice.org/program/libsot680lx.so
(0x00002aaaadf86000)
	libutl680lx.so => /usr/lib64/openoffice.org/program/libutl680lx.so
(0x00002aaaae1ec000)
	libtl680lx.so => /usr/lib64/openoffice.org/program/libtl680lx.so
(0x00002aaaae490000)
	libcomphelp4gcc3.so => /usr/lib64/openoffice.org/program/libcomphelp4gcc3.so
(0x00002aaaae736000)
	libucbhelper4gcc3.so => /usr/lib64/openoffice.org/program/libucbhelper4gcc3.so
(0x00002aaaaea6e000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x00002aaaaece7000)
	libuno_cppu.so.3 => /usr/lib64/openoffice.org/program/libuno_cppu.so.3
(0x00002aaaaef94000)
	libvos3gcc3.so => /usr/lib64/openoffice.org/program/libvos3gcc3.so
(0x00002aaaaf1c1000)
	libuno_sal.so.3 => /usr/lib64/openoffice.org/program/libuno_sal.so.3
(0x00002aaaaf3e8000)
	libX11.so.6 => /usr/lib64/libX11.so.6 (0x00002aaaaf7df000)
	libXext.so.6 => /usr/lib64/libXext.so.6 (0x00002aaaafae4000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaafcf5000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaaaff10000)
	libm.so.6 => /lib64/libm.so.6 (0x00002aaab0211000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaab0494000)
	libc.so.6 => /lib64/libc.so.6 (0x00002aaab06a2000)
	libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00002aaab09f5000)
	libpng12.so.0 => /usr/lib64/libpng12.so.0 (0x00002aaab0bfa000)
	libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00002aaab0e1e000)
	libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00002aaab1053000)
	libXinerama.so.1 => /usr/lib64/libXinerama.so.1 (0x00002aaab125c000)
	libXi.so.6 => /usr/lib64/libXi.so.6 (0x00002aaab145e000)
	libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x00002aaab1667000)
	libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x00002aaab186e000)
	libpangoft2-1.0.so.0 => /usr/lib64/libpangoft2-1.0.so.0 (0x00002aaab1a79000)
	libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00002aaab1caa000)
	libz.so.1 => /lib64/libz.so.1 (0x00002aaab1f39000)
	/lib64/ld-linux-x86-64.so.2 (0x00002aaaaaaab000)
	libnsl.so.1 => /lib64/libnsl.so.1 (0x00002aaab214e000)
	libcap.so.1 => /lib64/libcap.so.1 (0x00002aaab2366000)
	libSM.so.6 => /usr/lib64/libSM.so.6 (0x00002aaab256a000)
	libICE.so.6 => /usr/lib64/libICE.so.6 (0x00002aaab2774000)
	libi18nisolang1gcc3.so =>
/usr/lib64/openoffice.org/program/libi18nisolang1gcc3.so (0x00002aaab298f000)
	libbasegfx680lx.so => /usr/lib64/openoffice.org/program/libbasegfx680lx.so
(0x00002aaab2b95000)
	libicuuc.so.38 => /usr/lib64/libicuuc.so.38 (0x00002aaab2df5000)
	libicule.so.38 => /usr/lib64/libicule.so.38 (0x00002aaab312d000)
	libjvmaccessgcc3.so.3 =>
/usr/lib64/openoffice.org/program/libjvmaccessgcc3.so.3 (0x00002aaab3363000)
	libjvmfwk.so.3 => /usr/lib64/openoffice.org/program/libjvmfwk.so.3
(0x00002aaab356b000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x00002aaab3784000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002aaab3988000)
	libxcb-xlib.so.0 => /usr/lib64/libxcb-xlib.so.0 (0x00002aaab3bbd000)
	libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00002aaab3dbe000)
	libXau.so.6 => /usr/lib64/libXau.so.6 (0x00002aaab3fd8000)
	libexpat.so.1 => /lib64/libexpat.so.1 (0x00002aaab41db000)
	libicudata.so.38 => /usr/lib64/libicudata.so.38 (0x00002aaab43fe000)
	libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00002aaab50a8000)
	libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00002aaab53e7000)
...end sample ldd details ...

Expected results:
OOo should start

Additional info:
Not tested on x86
Comment 1 Paul F. Johnson 2007-09-21 05:46:03 EDT
It looks like the problem is related to the quickstarter somehow.

If I hose the .openoffice directory and start the app up, everything is fine -
the app starts. I can then copy back the old .openoffice directory and it still
works.

I'm not talking about the .openoffice.org2.0 directory, but one called .openoffice

However, if I decide to quit the quickstarter (right click on the menu) and
select exit quickstarter, this seems to cause the above error. It looks like
something is being incorrectly written back to a configuration file (or
something like that)
Comment 2 Caolan McNamara 2007-10-02 06:39:25 EDT
I suspect this is related to bug 283881, how are we doing with 2.3.0-5.1 ?

*** This bug has been marked as a duplicate of 283881 ***
Comment 3 Caolan McNamara 2007-10-02 06:49:22 EDT
*** Bug 287101 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.